﻿$ErrorActionPreference = 'Stop';

$packageName    = $env:ChocolateyPackageName
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/ea401c316338/TargetSupportInstaller/UnitySetup-Linux-Mono-Support-for-Editor-2022.3.9f1.exe'
$checksum64     = 'a6b2a83db0b4a3befb6ee5c88d077295153a676a6d3d54792145398e90b444c2'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
